
#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_texCoordMask;

uniform sampler2D u_Texture0;
uniform sampler2D u_Texture1;
uniform sampler2D u_Texture2;

void main()
{
	vec4 col = texture2D(u_Texture1, v_texCoordMask);
	vec4 mask = texture2D(u_Texture2, v_texCoordMask);
	if(mask.g > 0.0)
	{
		col = col + texture2D(u_Texture0, v_texCoord)*mask.g;
	}

	gl_FragColor = vec4(col.rgb,mask.r);
}
